namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_SurveyRecordOption(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_SurveyRecordOptionController : BaseController<IGhre_SurveyRecordOptionServices, Ghre_SurveyRecordOption, Ghre_SurveyRecordOptionDto, InsertGhre_SurveyRecordOptionInput, EditGhre_SurveyRecordOptionInput>
{
    public Ghre_SurveyRecordOptionController(IGhre_SurveyRecordOptionServices service) : base(service)
    {
    }
}